<?php
vc_remove_param('cms_carousel', 'l_icon_type');
vc_remove_param('cms_carousel', 'l_icon_fontawesome');
vc_remove_param('cms_carousel', 'l_icon_openiconic');
vc_remove_param('cms_carousel', 'l_icon_typicons');
vc_remove_param('cms_carousel', 'l_icon_entypo');
vc_remove_param('cms_carousel', 'l_icon_linecons');
vc_remove_param('cms_carousel', 'l_icon_pixelicons');
vc_remove_param('cms_carousel', 'l_icon_pe7stroke');
vc_remove_param('cms_carousel', 'l_icon_rticon');
vc_remove_param('cms_carousel', 'l_icon_glyphicons');
vc_remove_param('cms_carousel', 'r_icon_type');
vc_remove_param('cms_carousel', 'r_icon_fontawesome');
vc_remove_param('cms_carousel', 'r_icon_openiconic');
vc_remove_param('cms_carousel', 'r_icon_typicons');
vc_remove_param('cms_carousel', 'r_icon_entypo');
vc_remove_param('cms_carousel', 'r_icon_linecons');
vc_remove_param('cms_carousel', 'r_icon_pixelicons');
vc_remove_param('cms_carousel', 'r_icon_pe7stroke');
vc_remove_param('cms_carousel', 'r_icon_rticon');
vc_remove_param('cms_carousel', 'r_icon_glyphicons');

vc_add_param("cms_carousel", array(
	'type' => 'iconpicker',
	'heading' => esc_html__( 'Left Arrow', 'haswell' ),
	'param_name' => 'left_arrow',
    'value' => '',
	'settings' => array(
		'emptyIcon' => true, // default true, display an "EMPTY" icon?
		'type' => 'lineaicon',
		'iconsPerPage' => 200, // default 100, how many icons per/page to display
	),
	'description' => esc_html__( 'Select icon from library.', 'haswell' ),
	"group" => esc_html__("Carousel Settings", 'haswell'),
	'sdt' => 'icon icon-arrows-right'
));

vc_add_param("cms_carousel", array(
	'type' => 'iconpicker',
	'heading' => esc_html__( 'Right Arrow', 'haswell' ),
	'param_name' => 'right_arrow',
    'value' => '',
	'settings' => array(
		'emptyIcon' => true, // default true, display an "EMPTY" icon?
		'type' => 'lineaicon',
		'iconsPerPage' => 200, // default 100, how many icons per/page to display
	),
	'description' => esc_html__( 'Select icon from library.', 'haswell' ),
	"group" => esc_html__("Carousel Settings", 'haswell'),
	'sdt' => 'icon icon-arrows-left'
));

$params = array(
    array(
		"type" => "dropdown",
        "class" => "",
        "heading" => esc_html__('Display Avatar', 'haswell'),
        "admin_label" => true,
        "param_name" => "cms_testimonial_show_avatar",
        "value" => array(
        	"None" => "",
            "Yes" => "y",
        ),
        'dependency' => array(
			'element' => 'cms_template',
			'value' => 'cms_carousel--layout-testimonial-1.php',
		),
        "template" => array("cms_carousel--layout-testimonial-1.php"),
        "description" => esc_html__('Show or Hidden avatar', 'haswell'),
        "group" => esc_html__("Template", 'haswell')
	),

	array(
		"type" => "checkbox",
        "class" => "",
        "heading" => esc_html__("Follow container width", 'haswell'),
        "param_name" => "cms_testimonial_container",
        'dependency' => array(
			'element' => 'cms_template',
			'value' => 'cms_carousel--layout-testimonial-1.php',
		),
        "template" => array("cms_carousel--layout-testimonial-1.php"),
        "description" => esc_html__('Suitable for Row container set is full width', 'haswell'),
        "group" => esc_html__("Template", 'haswell')
	),

	array(
        "type" => "cms_template",
        "param_name" => "cms_template",
        "shortcode" => "cms_carousel",
        "admin_label" => true,
        "heading" => esc_html__("Shortcode Template", 'haswell'),
        "description" => "Layout travel just suitable with PRODUCT post type <br> 
        	Layout testimonial just suitable with TESTIMONIAL post type",
        "group" => esc_html__("Template", 'haswell'),
    )
);